* {
    box-sizing: border-box;
    margin: 0;
    padding: 0;
}

ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
}

body {
    font: 13px Helvetica, Arial;
}

a {
    text-decoration: none;
}

a:hover {
    color: inherit;
    text-decoration: none;
}

.login {
    align-items: center;
    background: black;
    display: flex;
    height: 100vh;
    position: relative;
    width: 100%;
}

.login-form {
    margin: 0 auto;
    width: 50%;
}

.username, .username:focus {
    background: black;
    border-bottom: 2px solid white;
    border-left: none;
    border-right: none;
    border-top: none;
    color: white;
    font-size: 25px;
    line-height: 50px;
    outline: none;
    width: 100%;
}

.authorized {
    display: none;
}

.changeRoom {
    cursor: pointer;
    margin: 10px 0;
}

.changeRoom:hover {
    color: darkblue;
}

.user-name {
    margin-left: 15px;
}

.nav-wrapper .sidenav-trigger {
    display: block;
}

.nav-wrapper .brand-logo {
    position: static;
}

.chat-container .row {
    margin-bottom: 0;
}

.chat-room {
    display: flex;
    flex-direction: column;
    height: calc(100vh - 60px);
}

.chat-room .message-form {
    margin-top: auto;
}

.chat-room .message-container {
    flex-grow: 1;
    min-height: 50%;
    overflow-y: auto;
}

.message-form .row {
    margin-bottom: 0;
}

.users-list-wrapper {
    box-shadow: -11px 0 19px rgba(0, 0, 0, .05);
    height: calc(100vh - 60px);
    overflow-y: auto;
}

.message {
    overflow: hidden;
}

.message.from .card {
    float: right;
}

.message.to .card {
    background-color: #00897b;
    float: left;
}
